Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1367398 - remove org.ovirt.engine.api.json and org.ovirt.engine.api.xml packages
Summary: remove org.ovirt.engine.api.json and org.ovirt.engine.api.xml packages
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: RestAPI
Version: 4.0.2.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: ovirt-4.0.4
: 4.0.4
Assignee: Juan Hernández
QA Contact: Pavel Stehlik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-16 10:52 UTC by Nelly Credi
Modified: 2016-09-26 12:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-26 12:35:21 UTC
oVirt Team: Infra
rule-engine: ovirt-4.0.z+
mgoldboi: planning_ack+
juan.hernandez: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 62385 ovirt-engine-4.0 MERGED restapi: Don't generate streaming support code 2016-08-16 15:15:31 UTC

Description Nelly Credi 2016-08-16 10:52:53 UTC
Description of problem:
org.ovirt.engine.api.json and org.ovirt.engine.api.xml packages are not used

Version-Release number of selected component (if applicable):
4.0.2

How reproducible:
100%

Steps to Reproduce:
1. 
2.
3.

Actual results:


Expected results:
the packages should be removed

Additional info:
this is affecting our code coverage measurements as they contain 40k lines

Comment 1 Juan Hernández 2016-08-16 14:17:46 UTC
This isn't a regression or a blocker, but it is relevant for the accuracy of the code coverage reports. Please consider acking it for 4.0.3 or 4.0.2, if that is still possible.

Comment 2 Martin Perina 2016-08-17 08:03:02 UTC
It's not a blocker so moving to 4.0.4


Note You need to log in before you can comment on or make changes to this bug.